- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Friends | List of all members
GNet::Socket::Credentials Class Reference

A credentials class that allows SocketProtocol to call Socket::fd(). More...

`#include <gsocket.h>`

## Friends
class | SocketProtocol
class | SocketProtocolTest

## Detailed Description

A credentials class that allows SocketProtocol to call Socket::fd().

Definition at line 66 of file gsocket.h.

## Friends And Related Function Documentation

friend class SocketProtocol
| friend

Definition at line 68 of file gsocket.h.

friend class SocketProtocolTest
| friend

Definition at line 69 of file gsocket.h.

The documentation for this class was generated from the following file:

- gsocket.h